Up

# NSCursor

### Authors

Scott Christley (`scottc@net-community.com`)
Adam Fedor (`fedor@gnu.org`)

> Holds an image to use as a cursor

Copyright: (C) 1996,1999,2001 Free Software Foundation, Inc.

# Software documentation for the NSCursor class

## NSCursor : NSObject

> Declared in:
>   AppKit/NSCursor.h

> Conforms to:
>   NSCoding

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- +IBeamCursor
- +arrowCursor
- +currentCursor
- +greenArrowCursor
- +hide
- +isHiddenUntilMouseMoves
- +pop
- +setHiddenUntilMouseMoves:
- +unhide
- -hotSpot
- -image
- -initWithImage:
- -initWithImage:foregroundColorHint:backgroundColorHint:hotSpot:
- -initWithImage:hotSpot:
- -isSetOnMouseEntered
- -isSetOnMouseExited
- -mouseEntered:
- -mouseExited:
- -pop
- -push
- -set
- -setHotSpot:
- -setImage:
- -setOnMouseEntered:
- -setOnMouseExited:

### IBeamCursor

+ (NSCursor*) IBeamCursor;

Description forthcoming.

### arrowCursor

+ (NSCursor*) arrowCursor;

Description forthcoming.

### currentCursor

+ (NSCursor*) currentCursor;

Description forthcoming.

### greenArrowCursor

+ (NSCursor*) greenArrowCursor;

Description forthcoming.

### hide

+ (void) hide;

Description forthcoming.

### isHiddenUntilMouseMoves

+ (BOOL) isHiddenUntilMouseMoves;

Description forthcoming.

### pop

+ (void) pop;

Description forthcoming.

### setHiddenUntilMouseMoves:

+ (void) setHiddenUntilMouseMoves: (BOOL)flag;

Description forthcoming.

### unhide

+ (void) unhide;

Description forthcoming.

### hotSpot

- (NSPoint) hotSpot;

Description forthcoming.

### image

- (NSImage*) image;

Description forthcoming.

### initWithImage:

- (id) initWithImage: (NSImage*)newImage;

Description forthcoming.

### initWithImage:foregroundColorHint:backgroundColorHint:hotSpot:

- (id) initWithImage: (NSImage*)newImage foregroundColorHint: (NSColor*)fg backgroundColorHint: (NSColor*)bg hotSpot: (NSPoint)hotSpot;

Description forthcoming.

### initWithImage:hotSpot:

- (id) initWithImage: (NSImage*)newImage hotSpot: (NSPoint)hotSpot;

Description forthcoming.

### isSetOnMouseEntered

- (BOOL) isSetOnMouseEntered;

Description forthcoming.

### isSetOnMouseExited

- (BOOL) isSetOnMouseExited;

Description forthcoming.

### mouseEntered:

- (void) mouseEntered: (NSEvent*)theEvent;

Description forthcoming.

### mouseExited:

- (void) mouseExited: (NSEvent*)theEvent;

Description forthcoming.

### pop

- (void) pop;

Description forthcoming.

### push

- (void) push;

Description forthcoming.

### set

- (void) set;

Description forthcoming.

### setHotSpot:

- (void) setHotSpot: (NSPoint)spot;

Description forthcoming.

### setImage:

- (void) setImage: (NSImage*)newImage;

Description forthcoming.

### setOnMouseEntered:

- (void) setOnMouseEntered: (BOOL)flag;

Description forthcoming.

### setOnMouseExited:

- (void) setOnMouseExited: (BOOL)flag;

Description forthcoming.

Up